<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Редактор автопортрета';
include_once '../sys/inc/thead.php';
title();

if (isset($_POST['save'])){
#1
if (isset($_POST['ideal_pol']) && strlen2($_POST['ideal_pol'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['ideal_pol']))$err[]='Используются запрещенные символы!';
else {
$user['ideal_pol']=$_POST['ideal_pol'];
mysql_query("UPDATE `user` SET `ideal_pol` = '".my_esc($user['ideal_pol'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина описания второй половинки не должна превышать 256 символов!';
#2
if (isset($_POST['obrazovanie']) && strlen2($_POST['obrazovanie'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['obrazovanie']))$err[]='Используются запрещенные символы!';
else {
$user['obrazovanie']=$_POST['obrazovanie'];
mysql_query("UPDATE `user` SET `obrazovanie` = '".my_esc($user['obrazovanie'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина образования не должна превышать 256 символов!';

#3
if (isset($_POST['kachestvo_v_sebe']) && strlen2($_POST['kachestvo_v_sebe'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['kachestvo_v_sebe']))$err[]='Используются запрещенные символы!';
else {
$user['kachestvo_v_sebe']=$_POST['kachestvo_v_sebe'];
mysql_query("UPDATE `user` SET `kachestvo_v_sebe` = '".my_esc($user['kachestvo_v_sebe'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина вашего качества не должна превышать 256 символов!';

#4
if (isset($_POST['otkrytie']) && strlen2($_POST['otkrytie'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['otkrytie']))$err[]='Используются запрещенные символы!';
else {
$user['otkrytie']=$_POST['otkrytie'];
mysql_query("UPDATE `user` SET `otkrytie` = '".my_esc($user['otkrytie'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина вашего открытия не должна превышать 256 символов!';

#5
if (isset($_POST['cen_sovet']) && strlen2($_POST['cen_sovet'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['cen_sovet']))$err[]='Используются запрещенные символы!';
else {
$user['cen_sovet']=$_POST['cen_sovet'];
mysql_query("UPDATE `user` SET `cen_sovet` = '".my_esc($user['cen_sovet'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Самый ценный совет,который Вы получали в жизни не должна превышать 256 символов!';

#6
if (isset($_POST['love_muz']) && strlen2($_POST['love_muz'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['love_muz']))$err[]='Используются запрещенные символы!';
else {
$user['love_muz']=$_POST['love_muz'];
mysql_query("UPDATE `user` SET `love_muz` = '".my_esc($user['love_muz'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Любимые музыкальные исполнители не должна превышать 256 символов!';

#7
if (isset($_POST['cel']) && strlen2($_POST['cel'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['cel']))$err[]='Используются запрещенные символы!';
else {
$user['cel']=$_POST['cel'];
mysql_query("UPDATE `user` SET `cel` = '".my_esc($user['cel'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Какую цель ставите перед собой сейчас? не должна превышать 256 символов!';

#8
if (isset($_POST['love_bludo']) && strlen2($_POST['love_bludo'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['love_bludo']))$err[]='Используются запрещенные символы!';
else {
$user['love_bludo']=$_POST['love_bludo'];
mysql_query("UPDATE `user` SET `love_bludo` = '".my_esc($user['love_bludo'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Ваше любимое блюдо не должна превышать 256 символов!';

#9
if (isset($_POST['love_gorod']) && strlen2($_POST['love_gorod'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['love_gorod']))$err[]='Используются запрещенные символы!';
else {
$user['love_gorod']=$_POST['love_gorod'];
mysql_query("UPDATE `user` SET `love_gorod` = '".my_esc($user['love_gorod'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Ваш любимый город не должна превышать 256 символов!';

#10
if (isset($_POST['deti']) && strlen2($_POST['deti'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['deti']))$err[]='Используются запрещенные символы!';
else {
$user['deti']=$_POST['deti'];
mysql_query("UPDATE `user` SET `deti` = '".my_esc($user['deti'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Хотите ли Вы иметь детей и сколько? не должна превышать 256 символов!';

#11
if (isset($_POST['love_delo']) && strlen2($_POST['love_delo'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['love_delo']))$err[]='Используются запрещенные символы!';
else {
$user['love_delo']=$_POST['love_delo'];
mysql_query("UPDATE `user` SET `love_delo` = '".my_esc($user['love_delo'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Любимое занятие не должна превышать 256 символов!';

#12
if (isset($_POST['cen_in_live']) && strlen2($_POST['cen_in_live'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['cen_in_live']))$err[]='Используются запрещенные символы!';
else {
$user['cen_in_live']=$_POST['cen_in_live'];
mysql_query("UPDATE `user` SET `cen_in_live` = '".my_esc($user['cen_in_live'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Самое ценное для Вас в жизни не должна превышать 256 символов!';

#13
if (isset($_POST['ne_splu']) && strlen2($_POST['ne_splu'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['ne_splu']))$err[]='Используются запрещенные символы!';
else {
$user['ne_splu']=$_POST['ne_splu'];
mysql_query("UPDATE `user` SET `ne_splu` = '".my_esc($user['ne_splu'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Если я у меня бссоница я.... не должна превышать 256 символов!';

#14
if (isset($_POST['ispol']) && strlen2($_POST['ispol'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['ispol']))$err[]='Используются запрещенные символы!';
else {
$user['ispol']=$_POST['ispol'];
mysql_query("UPDATE `user` SET `ispol` = '".my_esc($user['ispol'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Опишите свой характер не должна превышать 256 символов!';

#15
if (isset($_POST['group_sex']) && strlen2($_POST['group_sex'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['group_sex']))$err[]='Используются запрещенные символы!';
else {
$user['group_sex']=$_POST['group_sex'];
mysql_query("UPDATE `user` SET `group_sex` = '".my_esc($user['group_sex'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Для Вас групповой секс это... не должна превышать 256 символов!';

#16
if (isset($_POST['glavnoe_v_zhizni']) && strlen2($_POST['glavnoe_v_zhizni'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['glavnoe_v_zhizni']))$err[]='Используются запрещенные символы!';
else {
$user['glavnoe_v_zhizni']=$_POST['glavnoe_v_zhizni'];
mysql_query("UPDATE `user` SET `glavnoe_v_zhizni` = '".my_esc($user['glavnoe_v_zhizni'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Самое главное в жизни не должна превышать 256 символов!';

#17
if (isset($_POST['glavnoe_v_ludyah']) && strlen2($_POST['glavnoe_v_ludyah'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['glavnoe_v_ludyah']))$err[]='Используются запрещенные символы!';
else {
$user['glavnoe_v_ludyah']=$_POST['glavnoe_v_ludyah'];
mysql_query("UPDATE `user` SET `glavnoe_v_ludyah` = '".my_esc($user['glavnoe_v_ludyah'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Главное в людях не должна превышать 256 символов!';

#18
if (isset($_POST['vdohnovenie']) && strlen2($_POST['vdohnovenie'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['vdohnovenie']))$err[]='Используются запрещенные символы!';
else {
$user['vdohnovenie']=$_POST['vdohnovenie'];
mysql_query("UPDATE `user` SET `vdohnovenie` = '".my_esc($user['vdohnovenie'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Люди,которые Вас вдохновляют не должна превышать 256 символов!';

#19
if (isset($_POST['love_citata']) && strlen2($_POST['love_citata'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['love_citata']))$err[]='Используются запрещенные символы!';
else {
$user['love_citata']=$_POST['love_citata'];
mysql_query("UPDATE `user` SET `love_citata` = '".my_esc($user['love_citata'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Ваша любимая цитата не должна превышать 256 символов!';

#20
if (isset($_POST['cherta_haraktera']) && strlen2($_POST['cherta_haraktera'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['cherta_haraktera']))$err[]='Используются запрещенные символы!';
else {
$user['cherta_haraktera']=$_POST['cherta_haraktera'];
mysql_query("UPDATE `user` SET `cherta_haraktera` = '".my_esc($user['cherta_haraktera'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Главная черта Вашего характера не должна превышать 256 символов!';

#21
if (isset($_POST['religiya']) && strlen2($_POST['religiya'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['religiya']))$err[]='Используются запрещенные символы!';
else {
$user['religiya']=$_POST['religiya'];
mysql_query("UPDATE `user` SET `religiya` = '".my_esc($user['religiya'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Ваши религиозные взгляды не должна превышать 256 символов!';

#22
if (isset($_POST['na_saite']) && strlen2($_POST['na_saite'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['na_saite']))$err[]='Используются запрещенные символы!';
else {
$user['na_saite']=$_POST['na_saite'];
mysql_query("UPDATE `user` SET `na_saite` = '".my_esc($user['na_saite'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина Опишите наш сайт,что Вам нравится а что нет не должна превышать 256 символов!';



if (!isset($err))msg('Успешно сохранено!');

}

err();

echo "<form method='post' action='?$passgen'>\n";
echo "<div class='textmes'>";
echo "Идеальная половинка должна быть:<br />\n<input type='text' name='ideal_pol' value='$user[ideal_pol]' maxlength='256' /><br />\n";
echo "Ваше образование:<br />\n<input type='text' name='obrazovanie' value='$user[obrazovanie]' maxlength='256' /><br />\n";
echo "Ваши религиозные взгляды:<br />\n<input type='text' name='religiya' value='$user[religiya]' maxlength='256' /><br />\n";
echo "Ваше лучшее качество:<br />\n<input type='text' name='kachestvo_v_sebe' value='$user[kachestvo_v_sebe]' maxlength='256' /><br />\n";
echo "Самое поразительное для Вас открытие:<br />\n<input type='text' name='otkrytie' value='$user[otkrytie]' maxlength='256' /><br />\n";
echo "Самый ценный совет,который Вы получали в жизни:<br />\n<input type='text' name='cen_sovet' value='$user[cen_sovet]' maxlength='256' /><br />\n";
echo "Любимые музыкальные исполнители:<br />\n<input type='text' name='love_muz' value='$user[love_muz]' maxlength='256' /><br />\n";
echo "Какую цель ставите перед собой сейчас?<br />\n<input type='text' name='cel' value='$user[cel]' maxlength='256' /><br />\n";
echo "Ваше любимое блюдо:<br />\n<input type='text' name='love_bludo' value='$user[love_bludo]' maxlength='256' /><br />\n";
echo "Ваш любимый город:<br />\n<input type='text' name='love_gorod' value='$user[love_gorod]' maxlength='256' /><br />\n";
echo "Хотите ли Вы иметь детей и сколько?<br />\n<input type='text' name='deti' value='$user[deti]' maxlength='256' /><br />\n";
echo "Любимое занятие:<br />\n<input type='text' name='love_delo' value='$user[love_delo]' maxlength='256' /><br />\n";
echo "Самое ценное для Вас в жизни:<br />\n<input type='text' name='cen_in_live' value='$user[cen_in_live]' maxlength='256' /><br />\n";
echo "Самое главное в жизни:<br />\n<input type='text' name='glavnoe_v_zhizni' value='$user[glavnoe_v_zhizni]' maxlength='256' /><br />\n";
echo "Главное в людях:<br />\n<input type='text' name='glavnoe_v_ludyah' value='$user[glavnoe_v_ludyah]' maxlength='256' /><br />\n";
echo "Главная черта Вашего характера:<br />\n<input type='text' name='cherta_haraktera' value='$user[cherta_haraktera]' maxlength='256' /><br />\n";


echo "Люди,которые Вас вдохновляют:<br />\n<input type='text' name='vdohnovenie' value='$user[vdohnovenie]' maxlength='256' /><br />\n";



echo "Если я у меня бeссоница я....<br />\n<input type='text' name='ne_splu' value='$user[ne_splu]' maxlength='256' /><br />\n";
echo "Опишите свой характер:<br />\n<input type='text' name='ispol' value='$user[ispol]' maxlength='256' /><br />\n";
echo "Для Вас групповой секс это...:<br />\n<input type='text' name='group_sex' value='$user[group_sex]' maxlength='256' /><br />\n";
echo "Ваша любимая цитата:<br />\n<input type='text' name='love_citata' value='$user[love_citata]' maxlength='256' /><br />\n";
echo "Опишите наш сайт,что Вам нравится а что нет:<br />\n<input type='text' name='na_saite' value='$user[na_saite]' maxlength='256' /><br />\n";


echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";
echo "</div>\n";
echo "<div class='foot'>";
echo "<a href='/portret.php'>Посмотреть автопортрет</a>\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>